Load Serving Entity

Overview

Load Serving Entity (LSE) is the industry term for what most people would call a utility, or an electric company. Since there are different types of electric company, we use the term LSE in our API's. This is a company or other organization that supplies load (electrons, electricity) to a customer. In many cases this is the same company that distributes the electricity too, but in some cases customers can have one company that they buy the load from, and another that operates the distribution system (runs the line to the house, manages the meters etc). Some characteristics and uses :

  • LSE's have territories that they operate in. Sometimes they operate in more than 1.
  • LSE's have tariffs (rate plans) and are central to many of our data structures.

Data Definitions

Load Serving Entity

The Load Serving Entity has the following data structure.

Name Type Fields Description
lseId Long M Unique Genability ID (primary key) for each LSE
name String M Published name of the company
code String M Short code (an alternate key). For US companies this is the EIA ID
websiteHome URL   The URL to the home page of the LSE website

Here's an example in JSON of an LSE

{
    "lseId": 2756,
    "name":"Georgia Power Co",
    "code":"7140",
    "websiteHome":"http://www.georgiapower.com/"
}

Operations

Get a List of Load Serving Entities

This allows you to search for a set of LSE's and get them back as a list of LoadServingEntity objects in the standard response format. Use the searchString parameter to specify the full or partial name of the LSE you want to retrieve. By default this does a "contains" search. Use the startsWith and endsWith boolean parameters to add more filters to the results.

Resource URI
GET /rest/public/lses
Request Parameters

Along with the standard pagination parameters, searching and sorting parameters, and the required security parameters, the following parameters are available as part of the request:

Name Type Description
searchOn String This is from the standard searching and sorting parameters. You can search within one or more of the attributes within the LSE object (see above). When search is specified but searchOn is not specified, the default field is name. (Optional)
accountId String The unique ID of the Account for which you want to find LSEs. When passed in, the search will look for a territoryId on the Account and use that to find all LSEs that provide service within that territory. (Optional)
Example
GET /rest/public/lses?appId=xxx&appKey=yyy&search=Pacific
{
   "status":"success",
   "count":4,
   "type":"LoadServingEntity",
   "results":[
      {
         "lseId":734,
         "name":"Pacific Gas & Electric Co",
         "code":"14328",
         "websiteHome":"http://www.pge.com/"
      },
      {
         "lseId":1164,
         "name":"Sierra Pacific Industries Inc",
         "code":"17164",
         "websiteHome":null
      },
      {
         "lseId":1165,
         "name":"Sierra Pacific Power Co",
         "code":"17166",
         "websiteHome":"http://www.nvenergy.com/"
      },
      {
         "lseId":3142,
         "name":"Pacific Power",
         "code":"14354",
         "websiteHome":"http://www.rockymountainpower.net/index.html"
      }
   ]
}

Get One Load Serving Entity

This allows you to retrieve one LSE.

Resource URI
GET /rest/public/lses/{lseId}
Request Parameters

Along with the required security parameters, the following parameter are available as part of the request:

Name Type Description
none
Example
GET /rest/public/lses/2756?appId=xxx&appKey=yyy&pageCount=2
{
  "status": "success",
  "count": 1,
  "type": "LoadServingEntity",
  "results": [{
    "lseId": 2756,
    "name": "Georgia Power Co",
    "code": "7140",
    "websiteHome": "http://www.georgiapower.com/"}]
}

History

  • Initial Release - 4/4/2011 - Load Serving Entity and Tariff
  • 12/14/2012 - Added field views definition